<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Demo Back-End Web Search Application (Object-Oriented PHP, MySQL, MVC -- and, to a lesser extent, HTML, HTML templating, and CSS)</title>
  
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=8" />
  <meta http-equiv="Page-Enter" content="revealTrans(Duration=2.0)" />
  <meta http-equiv="Page-Exit" content="revealTrans(Duration=3.0,Transition=23)" />

  <meta name="Author" content="Rich Raffals" />

  <meta name="aesop" content="sales" />
  <meta name="robots" content="index,follow" />
  <meta name="distribution" content="global" />
  <meta name="rating" content="general" />
  <meta name="security" content="public" />
  <meta name="revisit-after" content="10 days" />

  <!-- START Styles For Entire Site -->
  <!-- Default Settings For Cross-Browser Compatible CSS Starting Point -->
  <!-- <link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/2.8.0/build/reset-fonts-grids/reset-fonts-grids.css" />-->

  <!-- Main Layout -->
  <link href="css/layout.css" rel="stylesheet" type="text/css" />
  <!-- END Styles For Entire Site -->

  <!-- START Styles Specific To This Page -->
  <!-- END Styles Specific To This Page -->

  <!--  START JS Includes For Entire Site that NEED to be pre-loaded -->
  <!-- <script type="text/javascript" src="js/preSiteWideScripts.js"></script>-->
  <!--  END JS Includes For Entire Site that NEED to be pre-loaded -->
</head>

<body onload="document.getUrls.word2lookup.focus();">

<div id="wrapper">

<!-- START Header -->
  <div id="hd">
    <a href="index.php">Enter Website to Evaluate</a> | Search
  </div><!-- #hd -->
<!-- END Header -->

<!-- ***************************************************************************** -->

<!-- START Main Content -->
  <div id="mainContent">

    <h4><u>Demo Back-End Web Search Application</u><br />(coded in a few hours)</h4>

    <p>Type in a word to see all the web pages in the database where it appears, and how many times it appears on each of those pages....&nbsp; (Click on the &quot;Enter Website to Evaluate&quot; link above to add more web pages to the database, or for usage info.)
    </p>

    <br />
    
    <form name="getUrls" method="post" enctype="multipart/form-data" action="<?php echo $_SERVER['SCRIPT_NAME'] ?>">
      <label for="word2lookup">Enter word to lookup in webpage DB:&nbsp; </label>
      <input id="word2lookup" name="word2lookup" type="text" size="30" />
      <input name="submit" class="button" type="submit" value="Lookup Word" />
    </form>
    
    <hr />

    <!-- Process user's form submission; puts results in $oWordSearchForm -->
    <?php include 'Controller/processSearch.php' ?>

    <!-- Display urls that contain requested word -->
    <?php if ( isset($oWordSearchForm->searchWord) && ($oWordSearchForm->bStatus) ): ?>
      <?php require('templateFcns.php'); ?>
      <div>WORD: <?php echo $oWordSearchForm->searchWord ?><br />
        <br />
        <?php $aHeadings = array('Webpage', 'Word Count (case insensitive)'); ?>
        <!-- displayArrayAsHTMLtable() is a template fcn that's part of the View/Pres API -->
        <?php displayArrayAsHTMLtable($oWordSearchForm->aUrlList, $aHeadings) ?>
    <?php endif; ?>

  </div><!-- #mainContent -->
<!-- END Main Content -->

<!-- ***************************************************************************** -->

<!-- START Footer -->
  <div id="ft">
  </div><!-- #ft -->
<!-- END Footer -->

</div><!-- #wrapper -->

<!--  START JS Includes For Entire Site that DONT need to be pre-loaded -->
<!--<script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>-->
<!--  END JS Includes For Entire Site that DONT need to be pre-loaded -->

</body>
</html>
