<?php
/*********************************************************
 * @version    SVN: $Id$
 * @author     Rich Raffals
 ***********************************************************
 */

/////////////////////////////////////////////////////
// FUNCTIONS THAT IMPLEMENT HTML TEMPLATING SYSTEM //
/////////////////////////////////////////////////////

// Output 2 column table with keys in 1st col and values in 2nd col
function displayArrayAsHTMLtable($aData=NULL, $aHeadings=NULL) {
  if (! empty($aData)) {
    echo '<table cellspacing="0">';

    if (! empty($aHeadings)) {
      echo '<thead>';
      echo '<tr>';
      foreach ($aHeadings as $heading) {
        echo "<th>$heading</th>";
      }
      echo '</tr>';
      echo '</thead>';
    }

    echo '<tbody>';
    foreach ($aData as $key => $value) {
      echo '<tr>';
      echo "<td>$key</td>";
      echo "<td>$value</td>";
      echo '</tr>';
    }
    echo '</tbody>';

    echo '</table>';
  }
}

?>